javax.print.attribute

## Class HashPrintJobAttributeSet

- java.lang.Object
- - javax.print.attribute.HashAttributeSet
  - - javax.print.attribute.HashPrintJobAttributeSet

- All Implemented Interfaces:
    Serializable, AttributeSet, PrintJobAttributeSet

      public class HashPrintJobAttributeSet
      extends HashAttributeSet
      implements PrintJobAttributeSet, Serializable

  Class HashPrintJobAttributeSet provides an attribute set which inherits its implementation from class `HashAttributeSet` and enforces the semantic restrictions of interface `PrintJobAttributeSet`.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HashPrintJobAttributeSet()` Construct a new, empty hash print job attribute set.
    `HashPrintJobAttributeSet(PrintJobAttribute attribute)` Construct a new hash print job attribute set, initially populated with the given value.
    `HashPrintJobAttributeSet(PrintJobAttribute[] attributes)` Construct a new hash print job attribute set, initially populated with the values from the given array.
    `HashPrintJobAttributeSet(PrintJobAttributeSet attributes)` Construct a new attribute set, initially populated with the values from the given set where the members of the attribute set are restricted to the `PrintJobAttribute` interface.

  - ### Method Summary

    - ### Methods inherited from class javax.print.attribute.HashAttributeSet

      `add, addAll, clear, containsKey, containsValue, equals, get, hashCode, isEmpty, remove, remove, size, toArray`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.print.attribute.PrintJobAttributeSet

      `add, addAll`

    - ### Methods inherited from interface javax.print.attribute.AttributeSet

      `clear, containsKey, containsValue, equals, get, hashCode, isEmpty, remove, remove, size, toArray`

- - ### Constructor Detail

    - #### HashPrintJobAttributeSet

          public HashPrintJobAttributeSet()

      Construct a new, empty hash print job attribute set.

    - #### HashPrintJobAttributeSet

          public HashPrintJobAttributeSet(PrintJobAttribute attribute)

      Construct a new hash print job attribute set, initially populated with the given value.
      Parameters:
        `attribute` - Attribute value to add to the set.
      Throws:
        `NullPointerException` - (unchecked exception) Thrown if `attribute` is null.

    - #### HashPrintJobAttributeSet

          public HashPrintJobAttributeSet(PrintJobAttribute[] attributes)

      Construct a new hash print job attribute set, initially populated with the values from the given array. The new attribute set is populated by adding the elements of `attributes` array to the set in sequence, starting at index 0. Thus, later array elements may replace earlier array elements if the array contains duplicate attribute values or attribute categories.
      Parameters:
        `attributes` - Array of attribute values to add to the set. If null, an empty attribute set is constructed.
      Throws:
        `NullPointerException` - (unchecked exception) Thrown if any element of `attributes` is null.

    - #### HashPrintJobAttributeSet

          public HashPrintJobAttributeSet(PrintJobAttributeSet attributes)

      Construct a new attribute set, initially populated with the values from the given set where the members of the attribute set are restricted to the `PrintJobAttribute` interface.
      Parameters:
        `attributes` - set of attribute values to initialise the set. If null, an empty attribute set is constructed.
      Throws:
        `ClassCastException` - (unchecked exception) Thrown if any element of `attributes` is not an instance of `PrintJobAttribute`.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.